SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Functions
string.h File Reference
`#include "Export.h"`
`#include "DS_List.h"`
`#include "types.h"`
`#include <stdio.h>`
`#include "stdarg.h"`

Go to the source code of this file.

## Classes

class | SLNet::RakString
| String class. More...
struct | SLNet::RakString::SharedString

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Functions

const SLNet::RakString RAK_DLL_EXPORT | operator+ (const SLNet::RakString &lhs, const SLNet::RakString &rhs)

## Class Documentation

struct SLNet::RakString::SharedString

Definition at line 309 of file string.h.

Class Members
char * | bigString |
size_t | bytesUsed |
char * | c_str |
unsigned int | refCount |
SimpleMutex * | refCountMutex |
char | smallString |

## Function Documentation

const SLNet::RakString RAK_DLL_EXPORT operator+ | ( | const SLNet::RakString & | lhs,
|  | const SLNet::RakString & | rhs
| ) |  |

Definition at line 286 of file RakString.cpp.

References _FILE_AND_LINE_, SLNet::RakString::SharedString::bigString, SLNet::RakString::SharedString::bytesUsed, SLNet::RakString::SharedString::c_str, SLNet::RakString::emptyString, SLNet::RakString::freeList, SLNet::RakString::GetLength(), SLNet::RakString::GetSizeToAllocate(), DataStructures::List< list_type >::Insert(), SLNet::RakString::IsEmpty(), SLNet::SimpleMutex::Lock(), SLNet::RakString::LockMutex(), rakMalloc_Ex, SLNet::RakString::SharedString::refCount, SLNet::RakString::SharedString::refCountMutex, DataStructures::List< list_type >::RemoveAtIndex(), SLNet::RakString::sharedString, DataStructures::List< list_type >::Size(), SLNet::RakString::SharedString::smallString, SLNet::SimpleMutex::Unlock(), and SLNet::RakString::UnlockMutex().